Subject: Re: bug#18592: FFI should have portable access to ‘errno’

From: <[email-masked]>
Date: Thu, 3 Mar 2016 21:32:41 +0100

On Thu, Mar 03, 2016 at 12:36:15PM -0500, Mark H Weaver wrote:
> Nala Ginrut <[email-masked]> writes:
> 
> > Is there still problem? I'm fine with the patch, and I'm expecting to
> > merge it ASAP. Anyway, please don't hesitate to tell me if there's still
> > any problem, I'm glad to help to do it better. I really need it.
> 
> Sorry for the delay, but I'm having second thoughts about whether this
> is the right approach.  Perhaps we should instead make a set of
> commitments that certain basic operations like scheme evaluation, heap
> allocation, and basic scheme procedures will leave 'errno' unchanged.

A shout from the peanut gallery (again ;) but this sounds scary. Of course,
clobbering errno by things out of the user's control sounds scary too.
Nala's interface feels to me more... right.

regards
- -- tomás